org.codehaus.groovy.reflection

## Class CachedConstructor

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - org.codehaus.groovy.reflection.CachedConstructor

    public class CachedConstructor
    extends ParameterTypes

Author:
  Alex.Tkachman

### Field Summary

Fields
`java.lang.reflect.Constructor` `cachedConstructor`

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`CachedConstructor(CachedClass clazz, java.lang.reflect.Constructor c)`
`CachedConstructor(java.lang.reflect.Constructor c)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Object` `doConstructorInvoke(java.lang.Object[] argumentArray)`
`static CachedConstructor` `find(java.lang.reflect.Constructor constructor)`
`CachedClass` `getCachedClass()`
`int` `getModifiers()`
`protected java.lang.Class[]` `getPT()`
`java.lang.Object` `invoke(java.lang.Object[] argumentArray)`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cachedConstructor

    public final java.lang.reflect.Constructor cachedConstructor

### Constructor Detail

#### CachedConstructor

    public CachedConstructor(CachedClass clazz,
                             java.lang.reflect.Constructor c)

#### CachedConstructor

    public CachedConstructor(java.lang.reflect.Constructor c)

### Method Detail

#### getPT

    protected java.lang.Class[] getPT()

Overrides:
  `getPT` in class `ParameterTypes`

#### find

    public static CachedConstructor find(java.lang.reflect.Constructor constructor)

#### doConstructorInvoke

    public java.lang.Object doConstructorInvoke(java.lang.Object[] argumentArray)

#### invoke

    public java.lang.Object invoke(java.lang.Object[] argumentArray)

#### getModifiers

    public int getModifiers()

#### getCachedClass

    public CachedClass getCachedClass()